LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Public Attributes | List of all members
decode_ctx_t Struct Reference

State describing code, pre, post + gap and repeat state. More...

`#include <ir_remote_types.h>`

## Public Attributes
ir_code | code
| Code part, matched to code defintion.
ir_code | pre
| pre data, before code.
ir_code | post
| post data, sent after code.
int | repeat_flag
| True if code is a repeated one.
lirc_t | max_remaining_gap
| Estimated max time of trailing gap.
lirc_t | min_remaining_gap
| Estimated min time of trailing gap.

## Detailed Description

State describing code, pre, post + gap and repeat state.

Definition at line 137 of file ir_remote_types.h.

## Member Data Documentation

## ◆ code

ir_code decode_ctx_t::code

Code part, matched to code defintion.

Definition at line 138 of file ir_remote_types.h.

## ◆ max_remaining_gap

lirc_t decode_ctx_t::max_remaining_gap

Estimated max time of trailing gap.

Definition at line 142 of file ir_remote_types.h.

## ◆ min_remaining_gap

lirc_t decode_ctx_t::min_remaining_gap

Estimated min time of trailing gap.

Definition at line 143 of file ir_remote_types.h.

## ◆ post

ir_code decode_ctx_t::post

post data, sent after code.

Definition at line 140 of file ir_remote_types.h.

## ◆ pre

ir_code decode_ctx_t::pre

pre data, before code.

Definition at line 139 of file ir_remote_types.h.

## ◆ repeat_flag

int decode_ctx_t::repeat_flag

True if code is a repeated one.

Definition at line 141 of file ir_remote_types.h.

The documentation for this struct was generated from the following file:

- /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_sysutils_lirc/lirc/work/lirc-0.10.2/lib/ir_remote_types.h